Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanOptionManager.Opt

    java.lang.Object
      ix.iplan.IPlanOptionManager.Opt

Enclosing class:
  IPlanOptionManager

    public class IPlanOptionManager.Opt

extends java.lang.Object

Nested Class Summary
`class` | `IPlanOptionManager.Opt.UndoPoint`

Method Summary
`boolean` | `allowsReplan()`
`Plan` | `asPlan()`
`void` | `clear()`
`void` | `clearAllButState()`
`boolean` | `expectsContext()`
`Context` | `getExpectedContext()`
`java.lang.String` | `getName()`
`PlanEvaluation` | `getPlanEvaluation(PlanEvaluator e)`
`java.util.Map` | `getPlanEvaluations()`
`PlanStats` | `getStats()`
`boolean` | `hasChanged()`
`void` | `recordDelayedInput(IPC.InputMessage messsage)`
`void` | `setName(java.lang.String newName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### clear

    public void clear()

### clearAllButState

    public void clearAllButState()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String newName)

### expectsContext

    public boolean expectsContext()

### getExpectedContext

    public Context getExpectedContext()

### getStats

    public PlanStats getStats()

### getPlanEvaluations

    public java.util.Map getPlanEvaluations()

### getPlanEvaluation

    public PlanEvaluation getPlanEvaluation(PlanEvaluator e)

### hasChanged

    public boolean hasChanged()

### allowsReplan

    public boolean allowsReplan()

### recordDelayedInput

    public void recordDelayedInput(IPC.InputMessage messsage)

### asPlan

    public Plan asPlan()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD